Subject: Re: Problem with perl distro?
From: "Gerrit P. Haase" <[email-masked]>
To: Igor Pechtchanski <[email-masked]>
Date: Tue, 23 Sep 2003 22:45:59 +0200

Igor schrieb:

> $screen was uninitialized.  Changing it to 'my $screen = ""' eliminates
> the warnings in the simpler script.
>         Igor

Both are not initialized (the third was not used anyway, so I deleted
it.

# Variables used in loop
my $screen = "";
my $fldname = "";

But still what I wrote earlier (but did not arrive at the list), this line:

AACE_1."ADDR LINE1":

or this one:
AACE_1.CITY_0:

will not be matched with this regex: /^(\w+):$/)
Quotes and points are usually not in words included.

So I'm getting this output (when saving in Unix line ending format):

$ ./testgui.pl
Screen name: AACE_1
Start of block
(ignored)
(ignored)
(ignored)
End of block
Start of block
(ignored)
(ignored)
End of block
(ignored)
Start of block
(ignored)
ID for field : 734
End of block
[...]

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/